#include <iostream>
#include "matrix.h"

using namespace std;

int main() {
    matrix a(5,5), b(5,5);

    srand(time(NULL));
    a.randomize(4);
    b.randomize(6);

    cout <<"matrix a == " <<endl <<a <<endl;
    cout <<"matrix b == " <<endl <<b <<endl;
    cout <<"matrix a+b == " <<endl <<a+b <<endl;
    cout <<"matrix a*b == " <<endl <<a*b <<endl;
    cout <<"matrix 3*a == " <<endl <<3*a <<endl;
    cout <<"matrix a*a*a == " <<endl <<a*a*a <<endl;
    cout <<"are matrices a and b identical? " <<(a==b?"YES":"NO") <<endl <<endl;

    cout <<"performing a += b" <<endl;
    a += b;
    cout <<"now a == " <<endl <<a <<endl;

    cout <<"element a(0,3) == " <<a(0,3) <<endl;
    cout <<"performing a(0,3) = 100" <<endl;
    a(0,3) = 100;
    cout <<"now matrix a == " <<endl <<a <<endl;

    //system("pause");    // for Dev-C++ users only
    return 0;
}
